Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

## org.odftoolkit.odfdom.dom.type.presentation
Enum OdfActionType

    java.lang.Object
      java.lang.Enum<OdfActionType>
          org.odftoolkit.odfdom.dom.type.presentation.OdfActionType

All Implemented Interfaces:
  Serializable, Comparable<OdfActionType>

    public enum OdfActionType

extends Enum<OdfActionType>

DOM implementation of OpenDocument attribute presentation:action.

Enum Constant Summary
`EXECUTE`
`FADE_OUT`
`FIRST_PAGE`
`HIDE`
`LAST_PAGE`
`LAST_VISITED_PAGE`
`NEXT_PAGE`
`NONE`
`PREVIOUS_PAGE`
`SHOW`
`SOUND`
`STOP`
`VERB`

Method Summary
`static OdfActionType` | `enumValueOf(String stringValue)` String to enum, turns a String into its corresponding enum constant
`String` | `toString()` gets the name of this enum.
`static String` | `toString(OdfActionType enumeration)` enum to String, gets the name of this enum constant as a string.
`static OdfActionType` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
`static OdfActionType[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, valueOf`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### LAST_PAGE

    public static final OdfActionType LAST_PAGE

### PREVIOUS_PAGE

    public static final OdfActionType PREVIOUS_PAGE

### NONE

    public static final OdfActionType NONE

### SOUND

    public static final OdfActionType SOUND

### HIDE

    public static final OdfActionType HIDE

### VERB

    public static final OdfActionType VERB

### LAST_VISITED_PAGE

    public static final OdfActionType LAST_VISITED_PAGE

### FIRST_PAGE

    public static final OdfActionType FIRST_PAGE

### FADE_OUT

    public static final OdfActionType FADE_OUT

### SHOW

    public static final OdfActionType SHOW

### NEXT_PAGE

    public static final OdfActionType NEXT_PAGE

### EXECUTE

    public static final OdfActionType EXECUTE

### STOP

    public static final OdfActionType STOP

Method Detail

### values

    public static OdfActionType[] values()

  Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

      for (OdfActionType c : OdfActionType.values())
          System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they are declared

### valueOf

    public static OdfActionType valueOf(String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `IllegalArgumentException` - if this enum type has no constant with the specified name
    `NullPointerException` - if the argument is null

### toString

    public String toString()

  gets the name of this enum.

  Overrides:
    `toString` in class `Enum<OdfActionType>`
  Returns:
    return the name of OdfActionType

### toString

    public static String toString(OdfActionType enumeration)

  enum to String, gets the name of this enum constant as a string.

  Parameters:
    `enumeration` - the constant of OdfActionType, see presentation:action
  Returns:
    return the name of OdfActionType

### enumValueOf

    public static OdfActionType enumValueOf(String stringValue)

  String to enum, turns a String into its corresponding enum constant

  Parameters:
    `stringValue` - the name of OdfActionType
  Returns:
    return the constant of OdfActionType, see presentation:action

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

Copyright © 2009. All Rights Reserved.